avalon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Donald <dona...@apache.org>
Subject Re: pb compiling excalibur
Date Mon, 12 Nov 2001 23:37:32 GMT
Hi,

my fault. I still get flakey connection to cvs machine and it dropped out 
last time I tried to commit. Obviously I didn't finish commiting things. 
Replace occurences of ExtensionUtil.get...Extensions() with 
Extension.get...Extensions(). Could some one fix this in CVS? (I wont be able 
to get to it till tonight).

On Tue, 13 Nov 2001 10:36, Vincent Massol wrote:
> Hi,
> I am trying to build excalibur and I'm getting a compile error :
>
>
> F:\Applis\apache-dev\jakarta-avalon-excalibur>build
> ------------
> Build System
> ------------
> Buildfile: build.xml
>
> prepare:
> f:\applis\jdk1.3\lib\tools.jar;..\jakarta-avalon\tools\lib\xerces.jar;..\ja
>k arta-avalon\tools\lib\xa
> lan-2.2.0-D8.jar;..\jakarta-avalon\tools\lib\rhino.jar;..\jakarta-avalon\to
>o ls\lib\optional.jar;..\j
> akarta-avalon\tools\lib\junit-3.7.jar;..\jakarta-avalon\tools\lib\bsf.jar;.
>. \jakarta-avalon\tools\li
> b\ant.jar;..\jakarta-avalon\tools\lib\alexandria-20011110.jar;
>
> compile:
> Compiling 56 source files to
> F:\Applis\apache-dev\jakarta-avalon-excalibur\build\scratchpad
> F:\Applis\apache-dev\jakarta-avalon-excalibur\src\scratchpad\org\apache\ava
>l on\excalibur\extension\D
> efaultPackageRepository.java:227: cannot resolve symbol
> symbol  : method getAvailableExtensions  (java.util.jar.Manifest)
> location: class org.apache.avalon.excalibur.extension.ExtensionUtil
>             final Extension[] available =
> ExtensionUtil.getAvailableExtensions( manifest );
>                                                        ^
> F:\Applis\apache-dev\jakarta-avalon-excalibur\src\scratchpad\org\apache\ava
>l on\excalibur\extension\D
> efaultPackageRepository.java:228: cannot resolve symbol
> symbol  : method getRequiredExtensions  (java.util.jar.Manifest)
> location: class org.apache.avalon.excalibur.extension.ExtensionUtil
>             final Extension[] required =
> ExtensionUtil.getRequiredExtensions( manifest );
>                                                       ^
> Note: Some input files use or override a deprecated API.
> Note: Recompile with -deprecation for details.
> 2 errors
>
> BUILD FAILED
>
>
> I have looked at the ExtensionUtil.java file and indeed, the
> getAvailableExtensions() method does not exist ... I may be doing something
> wrong as last gump build was ok (although it contains lots of
> errors/warnings .... :) ).
>
> Thanks
> -Vincent

-- 
Cheers,

Pete

---------------------------------------------------
"It is easy to dodge our responsibilities, but we 
cannot dodge the consequences of dodging our 
responsibilities." -Josiah Stamp 
---------------------------------------------------

--
To unsubscribe, e-mail:   <mailto:avalon-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:avalon-dev-help@jakarta.apache.org>


Mime
View raw message